%define name 	lives
%define version 0.9.8.8
%define release %mkrel 1

Summary: 	Linux Video Editing System
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://www.xs4all.nl/~salsaman/lives/current/LiVES-%version.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name-48.png
Patch0:		LiVES-0.9.8.7-fix-desktop-item.patch
URL: 		http://www.xs4all.nl/~salsaman/lives
License: 	GPLv3+
Group: 		Video
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: 	gtk2-devel
BuildRequires:	bison
BuildRequires:  ImageMagick
BuildRequires:	libmjpegtools-devel
BuildRequires:	SDL-devel
BuildRequires:	cairo-devel
BuildRequires:	gpm-devel
BuildRequires:	jackit-devel
BuildRequires:	libtheora-devel
Requires:	xmms mplayer mencoder sox ImageMagick 
Requires:	cdrecord-cdda2wav
Requires:	xset
Requires:	gdk-pixbuf-loaders

%if %mdkversion > 1019
BuildRequires:	libvisual-devel >= 0.1.7
Requires:	libvisual-plugins
%endif

%description
The Linux Video Editing System (LiVES) is intended to be a simple yet powerful
video effects and editing system.  It uses common tools for most of its work
(mplayer, ImageMagick, GTK+, sox).

%prep
%setup -q
%patch0 -p0
perl -p -i -e 's|"/usr/local/"|&get_home_dir||g' smogrify

%build
%configure2_5x
%make

%install
rm -fr $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/{applications,pixmaps}
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang lives
rm -fr $RPM_BUILD_ROOT/%_docdir

rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/lives.xpm

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{_sourcedir}/lives-16.png \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 %{_sourcedir}/lives-32.png \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 %{_sourcedir}/lives-48.png \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus
%update_icon_cache hicolor

%postun 
%clean_menus
%update_icon_cache hicolor

%files -f lives.lang
%defattr(-,root,root,0755)
%doc AUTHORS BUGS C* docs/*.txt FEATURES GETTING*
%doc NEWS OMC/*.txt README* RFX/*
%_bindir/*
%_datadir/%name
%{_datadir}/applications/LiVES.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Mar 09 2008 Funda Wang <fundawang@mandriva.org> 0.9.8.8-1mdv2008.1
+ Revision: 182959
- New version 0.9.8.8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Funda Wang <fundawang@mandriva.org> 0.9.8.7-1mdv2008.1
+ Revision: 138893
- fix desktop item icon ext
- New version 0.9.8.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 19 2007 Austin Acton <austin@mandriva.org> 0.9.8.6-2mdv2008.0
+ Revision: 53439
- totally redo buildrequires and requires

* Sat Jul 14 2007 Funda Wang <fundawang@mandriva.org> 0.9.8.6-1mdv2008.0
+ Revision: 51982
- BR gpm-devel
- fix desktop file
- New version

* Wed Jun 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.8.5-2mdv2008.0
+ Revision: 38815
- Added missing BuildRequires for desktop-file-utils.
- Removed old menu, switch to freedesktop icon scheme.
- Cleanups.

  + Jérôme Soyer <saispo@mandriva.org>
    - New release

* Tue May 29 2007 Funda Wang <fundawang@mandriva.org> 0.9.8.4-2mdv2008.0
+ Revision: 32313
- Rebuild against directfb 1.0


* Sun Apr 01 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.8.4-1mdv2007.1
+ Revision: 150144
- New release

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.9.8.2-2mdv2007.1
+ Revision: 127257
- fix build on x86_64

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix Build
    - New release 0.9.8.2

  + Lenny Cartier <lenny@mandriva.com>
    - Import lives

* Mon Sep 04 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.5-3mdv2007.0
- xdg menu

* Sun Jun 11 2006 Austin Acton <austin@mandriva.org> 0.9.5-2mdv2007.0
- rebuild for libvisual
- mkrel

* Sun Jan 01 2006 Austin Acton <austin@mandriva.org> 0.9.5-1mdk
- 0.9.5 final

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre5.2mdk
- Rebuild

* Sat Oct 01 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre5.1mdk
- pre5

* Sun Aug 14 2005 Götz Waschk <waschk@mandriva.org> 0.9.5-0.pre4.2mdk
- rebuild for new mjpegtools

* Thu Jul 28 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre4.1mdk
- 0.9.5pre4

* Tue Apr 19 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre3.1mdk
- 0.9.5pre3

* Mon Mar 28 2005 Austin Acton <austin@mandrake.org> 0.9.5-0.pre2.2.1mdk
- 0.9.5pre2.2

* Tue Jan 25 2005 Austin Acton <austin@mandrake.org> 0.9.5-0.pre1-1mdk
- 0.9.5pre1

* Wed Jan 12 2005 Michael Scherer <misc@mandrake.org> 0.9.1-3mdk
- Rebuild to remove deps on python2.3, thanks to Fabien Illide

* Sat Dec 11 2004 Austin Acton <austin@mandrake.org> 0.9.1-2mdk
- tidy spec
- add missing doc files and icons (thanks to author)
- buildrequires bison and SDL/mjpegtools-devel
- build with libvisual support on post-10.1
- use ~ as default load/save dir

* Wed Dec 08 2004 Austin Acton <austin@mandrake.org> 0.9.1-1mdk
- 0.9.1
- configure 2.5
- source URL

* Thu Aug 19 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre5.2mdk
- fix plugins location

* Thu Aug 19 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre5.1mdk
- 0.9.1pre5

* Thu Aug 05 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre4.1mdk
- 0.9.1pre4

* Mon Jul 26 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre3.1mdk
- 0.9.1pre3

* Wed May 05 2004 Austin Acton <austin@mandrake.org> 0.9.0-0.pre1.1mdk
- 0.9.0pre1

